#include "partition.h"
#include<bits/stdc++.h>
std::vector<int> solve(std::vector<int> A)
{
    long long N = A.size();
    std::vector<int> ans;
    ans.resize(N);
    int maxEl = 0, maxElIndex = 0;
    for(int i = 0; i < N; i++)
    {
        ans[i] = i;
        if(A[i] > maxEl)
        {
            maxEl = A[i];
            maxElIndex = i;
        }
    }
    std::swap(ans[maxElIndex], ans[N / 2]);
    return ans;
}
